com.brightcove.cast.model

## Class BrightcoveCastCustomData

- java.lang.Object
- - com.brightcove.cast.model.BrightcoveCastCustomData

- All Implemented Interfaces:
    CustomData

      public class BrightcoveCastCustomData
      extends java.lang.Object
      implements CustomData

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BrightcoveCastCustomData.Builder`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAccountId()`
    `java.lang.String` | `getAdConfigId()`
    `java.lang.String` | `getApplicationId()`
    `java.lang.String` | `getBrightcoveAuthorizationToken()`
    `android.content.Context` | `getContext()`
    `org.json.JSONObject` | `getCustomData(Video video)`
    `java.lang.String` | `getPlayerUrl()`
    `java.lang.String` | `getPolicyKey()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getTracks()`
    `java.lang.String` | `getUserId()`
    `java.lang.String` | `getWatermarkingToken()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getContext

          public android.content.Context getContext()

    - #### getAccountId

          public java.lang.String getAccountId()

    - #### getPolicyKey

          public java.lang.String getPolicyKey()

    - #### getUserId

          public java.lang.String getUserId()

    - #### getApplicationId

          public java.lang.String getApplicationId()

    - #### getBrightcoveAuthorizationToken

          public java.lang.String getBrightcoveAuthorizationToken()

    - #### getTracks

          public java.util.Map<java.lang.String,java.lang.String> getTracks()

    - #### getAdConfigId

          public java.lang.String getAdConfigId()

    - #### getPlayerUrl

          @Nullable
          public java.lang.String getPlayerUrl()

    - #### getWatermarkingToken

          @Nullable
          public java.lang.String getWatermarkingToken()

    - #### getCustomData

          public org.json.JSONObject getCustomData(@NonNull
                                                   Video video)
                                            throws org.json.JSONException

      Specified by:
        `getCustomData` in interface `CustomData`
      Throws:
        `org.json.JSONException`